# Create dispute representment

This method allows you to initiate a dispute representment case with associated evidence files.

Endpoint: POST /dispute-representments/create
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Request fields (application/json):

  - `body` (object) — one of (discriminator: dispute_type):
    - card:
      - `dispute_type` (string, required)
        Type of represented dispute.
        Enum: "card"
      - `dispute_id` (string, required)
        Identifier of the represented dispute that corresponds to the orders chargebacks id in chargebacks.
      - `evidence_file_id` (string, required)
        Unique identifier of the evidence file.


  Should be provided with a file size not exceeding 2 MB (2097152 bytes).
    - paypal:
      - `dispute_type` (string, required)
        Type of represented dispute.
        Enum: "paypal"
      - `dispute_id` (string, required)
        Identifier of the represented dispute that corresponds to the dispute_id parameter in PayPal disputes.
      - `evidence_file_id` (string, required)
        Unique identifier of the evidence file.


  Should be provided with a file size not exceeding 10 MB (10485760 bytes).

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Success:
      - `id` (string, required)
        Unique identifier of the created dispute representment.
    - Authentication failed:
      - `error` (object, required)
        Error object.
      - `error.code` (string, required)
        Unauthorized access due to invalid credentials.
        Example: "1.01"
      - `error.messages` (array, required)
        Array of error messages applied to the decline payment.
        Example: ["Authentication failed"]

## Response 400 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: "2.01"

  - `error.message` (string, required)
    Error message.
    Example: "Validation error"

  - `error.constraints` (object)
    Map of constraints.

## Response 404 fields (application/json):

  - `error` (object, required) — one of (discriminator: code):
    Error object.
    - 2.01 Dispute not found:
      - `message` (string, required)
        Dispute not found.


Specified dispute not found in the system.
    - 2.01 File not found:
      - `message` (string, required)
        File not found.


File with provided ID not found.

  - `error.code` (string)

## Response 422 fields (application/json):

  - `error` (object, required) — one of (discriminator: code):
    Error object.
    - 2.01 File not ready:
      - `message` (string, required)
        File not ready.


  File object was created, but its content uploaded was not completed yet.
    - 2.01 File size exceeded:
      - `message` (string, required)
        File size exceeded.


  Evidence file size exceeds the limit for the requested dispute type.
    - 2.01 File type not supported:
      - `message` (string, required)
        File type not supported.


  Evidence file type is not suitable for dispute representment.
    - 2.01 Representment already exists:
      - `message` (string, required)
        Representment already exists.
    - 2.01 Representment not possible:
      - `message` (string, required)
        Representment not possible.


  The representment is not possible due to the current state of the dispute.

  - `error.code` (string)


